> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return a single requests

> Returns a single requests object using the specified key.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json GET /requests('{Id}')
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /requests('{Id}'):
    get:
      tags:
        - requests
      summary: Return a single requests
      description: Returns a single requests object using the specified key.
      operationId: getrequests
      parameters:
        - name: Id
          in: path
          description: The key Id
          required: true
          schema:
            type: string
        - name: $select
          in: query
          schema:
            type: string
          description: Select structural property
      responses:
        '200':
          description: requests response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/requests'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    requests:
      type: object
      properties:
        Id:
          description: The Id of the request.
          type: string
        Timestamp:
          description: The time when the request was handled.
          type: string
          format: date-time
        URL:
          description: The URL of the request.
          type: string
        Method:
          description: The HTTP method.
          type: string
        User:
          description: The user who made the request.
          type: string
        RemoteIP:
          description: The remote IP address from the request.
          type: string
        Script:
          description: The script.
          type: string
        Bytes:
          description: The size of the request.
          type: integer
          format: int64
        Time:
          description: The time of the request.
          type: integer
          format: int32
        Error:
          description: The error of the request.
          type: string
        status:
          description: The status of the request.
          type: string
        InstanceId:
          description: The host which writes the log in the HA environment.
          type: string
      required:
        - Id
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````